Face List - Delete Face
Delete a face from a face list by specified faceListId and persistedFaceId.
Adding/deleting faces to/from a same face list are processed sequentially and to/from different face lists are in parallel.
DELETE {Endpoint}/face/v1.0/facelists/{faceListId}/persistedfaces/{persistedFaceId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
Endpoint
|
path | True |
string |
Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com). |
|
face
|
path | True |
string maxLength: 64pattern: ^[a-z0-9-_]+$ |
Id referencing a particular face list. |
|
persisted
|
path | True |
string (uuid) |
Id referencing a particular persistedFaceId of an existing face. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
string |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
A successful call returns an empty response body. |
|
| Other Status Codes |
Error response. |
Security
Ocp-Apim-Subscription-Key
Type:
apiKey
In:
header
Examples
Delete face in face list example
Sample request
DELETE {Endpoint}/face/v1.0/facelists/sample_face_list/persistedfaces/62004fa7-1ac0-478e-9d5a-b38f9e7fbc68
Sample response
Definitions
| Name | Description |
|---|---|
| APIError |
Error information returned by the API |
| Error |
Error body. |
APIError
Error information returned by the API
| Name | Type | Description |
|---|---|---|
| error |
Error body. |
Error
Error body.
| Name | Type | Description |
|---|---|---|
| code |
string |
|
| message |
string |